### Function

# Secret password_clear

#### Declaration [src]

    void
    secret_password_clear (
      const SecretSchema* schema,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data,
      ...
    )

#### Description [src]

Clear unlocked matching passwords from the secret service.

The variable argument list should contain pairs of a) The attribute name as a null-terminated string, followed by b) attribute value, either a character string, an int number, or a gboolean value, as defined in the password `schema`. The list of attributes should be terminated with a `NULL`.

All unlocked items that match the attributes will be deleted.

This method will return immediately and complete asynchronously.

This function is not directly available to language bindings.

The implementation of this method is provided by `secret_password_clearv()` in language bindings

#### Parameters

`schema`

  Type: `SecretSchema`

  The schema for the attributes.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to be passed to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`...`

  Type: ``

  The attribute keys and values, terminated with `NULL`.